Bug 394275 - Kdenlive crashes after the "Blur" effect is added to a track
Summary: Kdenlive crashes after the "Blur" effect is added to a track
Status: RESOLVED FIXED
Alias: None
Product: kdenlive
Classification: Applications
Component: Effects & Transitions (show other bugs)
Version: 18.04.0
Platform: unspecified Linux
: NOR crash
Target Milestone: ---
Assignee: Vincent PINON
URL:
Keywords: drkonqi
: 394546 394615 394733 394878 395170 (view as bug list)
Depends on:
Blocks:
 
Reported: 2018-05-15 10:50 UTC by mail
Modified: 2018-06-21 11:07 UTC (History)
7 users (show)

See Also:
Latest Commit:
Version Fixed In: 18.04.2
Sentry Crash Report:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mail 2018-05-15 10:50:02 UTC
Application: kdenlive (18.04.1)

Qt Version: 5.10.1
Frameworks Version: 5.46.0
Operating System: Linux 4.16.8-1-zen x86_64
Distribution (Platform): Archlinux Packages

-- Information about the crash:
- What I was doing when the application crashed:
Tried to drag the "Blur" effect to a video track. Same thing happpens if i drag the "Square Blur" effect. I'm on Arch Linux, in case that helps

The crash can be reproduced every time.

-- Backtrace:
Application: Kdenlive (kdenlive), signal: Segmentation fault
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fba04373880 (LWP 9060))]

Thread 22 (Thread 0x7fb95dffb700 (LWP 9119)):
#0  0x00007fb9fa84dffc in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fb9c72bd76f in  () at /usr/lib/libavcodec.so.58
#2  0x00007fb9fa848075 in start_thread () at /usr/lib/libpthread.so.0
#3  0x00007fb9fc80753f in clone () at /usr/lib/libc.so.6

Thread 21 (Thread 0x7fb95e7fc700 (LWP 9118)):
#0  0x00007fb9fa84dffc in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fb9c72bd76f in  () at /usr/lib/libavcodec.so.58
#2  0x00007fb9fa848075 in start_thread () at /usr/lib/libpthread.so.0
#3  0x00007fb9fc80753f in clone () at /usr/lib/libc.so.6

Thread 20 (Thread 0x7fb95effd700 (LWP 9117)):
#0  0x00007fb9fa84dffc in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fb9c72bd76f in  () at /usr/lib/libavcodec.so.58
#2  0x00007fb9fa848075 in start_thread () at /usr/lib/libpthread.so.0
#3  0x00007fb9fc80753f in clone () at /usr/lib/libc.so.6

Thread 19 (Thread 0x7fb95f7fe700 (LWP 9116)):
#0  0x00007fb9fa84dffc in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fb9c72bd76f in  () at /usr/lib/libavcodec.so.58
#2  0x00007fb9fa848075 in start_thread () at /usr/lib/libpthread.so.0
#3  0x00007fb9fc80753f in clone () at /usr/lib/libc.so.6

Thread 18 (Thread 0x7fb95ffff700 (LWP 9115)):
#0  0x00007fb9fa84dffc in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fb9c72bd76f in  () at /usr/lib/libavcodec.so.58
#2  0x00007fb9fa848075 in start_thread () at /usr/lib/libpthread.so.0
#3  0x00007fb9fc80753f in clone () at /usr/lib/libc.so.6

Thread 17 (Thread 0x7fb9817fa700 (LWP 9108)):
#0  0x00007fb9fa84e3f6 in pthread_cond_timedwait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fb9fd299e51 in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007fb9fd295d21 in  () at /usr/lib/libQt5Core.so.5
#3  0x00007fb9fd298abd in  () at /usr/lib/libQt5Core.so.5
#4  0x00007fb9fa848075 in start_thread () at /usr/lib/libpthread.so.0
#5  0x00007fb9fc80753f in clone () at /usr/lib/libc.so.6

Thread 16 (Thread 0x7fb981ffb700 (LWP 9107)):
#0  0x00007fb9fa84dffc in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fb9c72bd76f in  () at /usr/lib/libavcodec.so.58
#2  0x00007fb9fa848075 in start_thread () at /usr/lib/libpthread.so.0
#3  0x00007fb9fc80753f in clone () at /usr/lib/libc.so.6

Thread 15 (Thread 0x7fb9827fc700 (LWP 9106)):
#0  0x00007fb9fa84dffc in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fb9c72bd76f in  () at /usr/lib/libavcodec.so.58
#2  0x00007fb9fa848075 in start_thread () at /usr/lib/libpthread.so.0
#3  0x00007fb9fc80753f in clone () at /usr/lib/libc.so.6

Thread 14 (Thread 0x7fb982ffd700 (LWP 9105)):
#0  0x00007fb9fa84dffc in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fb9c72bd76f in  () at /usr/lib/libavcodec.so.58
#2  0x00007fb9fa848075 in start_thread () at /usr/lib/libpthread.so.0
#3  0x00007fb9fc80753f in clone () at /usr/lib/libc.so.6

Thread 13 (Thread 0x7fb9837fe700 (LWP 9104)):
#0  0x00007fb9fa84dffc in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fb9c72bd76f in  () at /usr/lib/libavcodec.so.58
#2  0x00007fb9fa848075 in start_thread () at /usr/lib/libpthread.so.0
#3  0x00007fb9fc80753f in clone () at /usr/lib/libc.so.6

Thread 12 (Thread 0x7fb983fff700 (LWP 9103)):
#0  0x00007fb9fa84dffc in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fb9c72bd76f in  () at /usr/lib/libavcodec.so.58
#2  0x00007fb9fa848075 in start_thread () at /usr/lib/libpthread.so.0
#3  0x00007fb9fc80753f in clone () at /usr/lib/libc.so.6

Thread 11 (Thread 0x7fb9a8eb1700 (LWP 9079)):
#0  0x00007fb9fa84dffc in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fb9cb7ba11e in  () at /usr/lib/mlt/libmltsdl.so
#2  0x00007fb9fa848075 in start_thread () at /usr/lib/libpthread.so.0
#3  0x00007fb9fc80753f in clone () at /usr/lib/libc.so.6

Thread 10 (Thread 0x7fb9a96b2700 (LWP 9078)):
#0  0x00007fb9fc7f8934 in read () at /usr/lib/libc.so.6
#1  0x00007fb9ecd507c2 in pa_read () at /usr/lib/pulseaudio/libpulsecommon-11.1.so
#2  0x00007fb9f39107af in pa_mainloop_prepare () at /usr/lib/libpulse.so.0
#3  0x00007fb9f3911241 in pa_mainloop_iterate () at /usr/lib/libpulse.so.0
#4  0x00007fb9cb55320d in  () at /usr/lib/libSDL-1.2.so.0
#5  0x00007fb9cb527994 in  () at /usr/lib/libSDL-1.2.so.0
#6  0x00007fb9cb53000b in  () at /usr/lib/libSDL-1.2.so.0
#7  0x00007fb9cb57130a in  () at /usr/lib/libSDL-1.2.so.0
#8  0x00007fb9fa848075 in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007fb9fc80753f in clone () at /usr/lib/libc.so.6

Thread 9 (Thread 0x7fb9a9eb3700 (LWP 9077)):
#0  0x00007fb9fa84dffc in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fba036434a4 in  () at /usr/lib/libmlt.so.6
#2  0x0000563c9ac258ee in  ()
#3  0x00007fb9fd298abd in  () at /usr/lib/libQt5Core.so.5
#4  0x00007fb9fa848075 in start_thread () at /usr/lib/libpthread.so.0
#5  0x00007fb9fc80753f in clone () at /usr/lib/libc.so.6

Thread 8 (Thread 0x7fb9aa6b4700 (LWP 9076)):
#0  0x00007fb9fa84dffc in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fb9cb7bac4f in  () at /usr/lib/mlt/libmltsdl.so
#2  0x00007fb9fa848075 in start_thread () at /usr/lib/libpthread.so.0
#3  0x00007fb9fc80753f in clone () at /usr/lib/libc.so.6

Thread 7 (Thread 0x7fb9aaeb5700 (LWP 9072)):
#0  0x00007fb9fd28fd2f in QMutex::unlock() () at /usr/lib/libQt5Core.so.5
#1  0x00007fb9fd4e2172 in  () at /usr/lib/libQt5Core.so.5
#2  0x00007fb9f3da6a49 in g_main_context_prepare () at /usr/lib/libglib-2.0.so.0
#3  0x00007fb9f3da744e in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007fb9f3da763e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#5  0x00007fb9fd4e2254 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#6  0x00007fb9fd48431b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#7  0x00007fb9fd29371e in QThread::exec() () at /usr/lib/libQt5Core.so.5
#8  0x00007fb9fd298abd in  () at /usr/lib/libQt5Core.so.5
#9  0x00007fb9fa848075 in start_thread () at /usr/lib/libpthread.so.0
#10 0x00007fb9fc80753f in clone () at /usr/lib/libc.so.6

Thread 6 (Thread 0x7fb9b97e2700 (LWP 9069)):
#0  0x00007fb9f3dee2d9 in g_mutex_lock () at /usr/lib/libglib-2.0.so.0
#1  0x00007fb9f3da7629 in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#2  0x00007fb9fd4e2254 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#3  0x00007fb9fd48431b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007fb9fd29371e in QThread::exec() () at /usr/lib/libQt5Core.so.5
#5  0x00007fb9fe74e319 in  () at /usr/lib/libQt5Qml.so.5
#6  0x00007fb9fd298abd in  () at /usr/lib/libQt5Core.so.5
#7  0x00007fb9fa848075 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007fb9fc80753f in clone () at /usr/lib/libc.so.6

Thread 5 (Thread 0x7fb9ba656700 (LWP 9068)):
#0  0x00007fb9fa84e3f6 in pthread_cond_timedwait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fb9fd299e51 in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007fb9fd295d21 in  () at /usr/lib/libQt5Core.so.5
#3  0x00007fb9fd298abd in  () at /usr/lib/libQt5Core.so.5
#4  0x00007fb9fa848075 in start_thread () at /usr/lib/libpthread.so.0
#5  0x00007fb9fc80753f in clone () at /usr/lib/libc.so.6

Thread 4 (Thread 0x7fb9bb697700 (LWP 9067)):
#0  0x00007fb9fc7fcea9 in poll () at /usr/lib/libc.so.6
#1  0x00007fb9f3da7523 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007fb9f3da763e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007fb9fd4e2254 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007fb9fd48431b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007fb9fd29371e in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007fb9fe74e319 in  () at /usr/lib/libQt5Qml.so.5
#7  0x00007fb9fd298abd in  () at /usr/lib/libQt5Core.so.5
#8  0x00007fb9fa848075 in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007fb9fc80753f in clone () at /usr/lib/libc.so.6

Thread 3 (Thread 0x7fb9dcbf7700 (LWP 9064)):
#0  0x00007fb9fc7f8934 in read () at /usr/lib/libc.so.6
#1  0x00007fb9f3deced1 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007fb9f3da6ff8 in g_main_context_check () at /usr/lib/libglib-2.0.so.0
#3  0x00007fb9f3da74c6 in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007fb9f3da763e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#5  0x00007fb9fd4e2254 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#6  0x00007fb9fd48431b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#7  0x00007fb9fd29371e in QThread::exec() () at /usr/lib/libQt5Core.so.5
#8  0x00007fba0009f416 in  () at /usr/lib/libQt5DBus.so.5
#9  0x00007fb9fd298abd in  () at /usr/lib/libQt5Core.so.5
#10 0x00007fb9fa848075 in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007fb9fc80753f in clone () at /usr/lib/libc.so.6

Thread 2 (Thread 0x7fb9ea362700 (LWP 9062)):
#0  0x00007fb9fa84dffc in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fb9fcf14d5d in __gthread_cond_wait (__mutex=<optimized out>, __cond=<optimized out>) at /build/gcc/src/gcc-build/x86_64-pc-linux-gnu/libstdc++-v3/include/x86_64-pc-linux-gnu/bits/gthr-default.h:864
#2  0x00007fb9fcf14d5d in std::condition_variable::wait(std::unique_lock<std::mutex>&) (this=<optimized out>, __lock=...) at /build/gcc/src/gcc/libstdc++-v3/src/c++11/condition_variable.cc:53
#3  0x00007fb9f98c7379 in  () at /usr/lib/libQt5WebKit.so.5
#4  0x00007fb9f98c74c9 in  () at /usr/lib/libQt5WebKit.so.5
#5  0x00007fb9fcf1ad3f in execute_native_thread_routine (__p=0x563c9bb2eb90) at /build/gcc/src/gcc/libstdc++-v3/src/c++11/thread.cc:80
#6  0x00007fb9fa848075 in start_thread () at /usr/lib/libpthread.so.0
#7  0x00007fb9fc80753f in clone () at /usr/lib/libc.so.6

Thread 1 (Thread 0x7fba04373880 (LWP 9060)):
[KCrash Handler]
#6  0x00007fba0364b421 in mlt_animation_next_key () at /usr/lib/libmlt.so.6
#7  0x00007fba0341209b in Mlt::Animation::next_key(int) () at /usr/lib/libmlt++.so.3
#8  0x0000563c9aa97914 in  ()
#9  0x0000563c9aa3055b in  ()
#10 0x0000563c9aa333dd in  ()
#11 0x0000563c9aa5863d in  ()
#12 0x00007fb9ff5b382e in QUndoCommand::redo() () at /usr/lib/libQt5Widgets.so.5
#13 0x00007fb9ff5b5b27 in QUndoStack::push(QUndoCommand*) () at /usr/lib/libQt5Widgets.so.5
#14 0x0000563c9aa6f95f in  ()
#15 0x0000563c9aa6fb5d in  ()
#16 0x0000563c9aa34584 in  ()
#17 0x0000563c9aa34981 in  ()
#18 0x00007fb9ff52b95c in QGraphicsItem::sceneEvent(QEvent*) () at /usr/lib/libQt5Widgets.so.5
#19 0x00007fb9ff54f3d0 in  () at /usr/lib/libQt5Widgets.so.5
#20 0x00007fb9ff54f41c in QGraphicsScene::dropEvent(QGraphicsSceneDragDropEvent*) () at /usr/lib/libQt5Widgets.so.5
#21 0x00007fb9ff55eea0 in QGraphicsScene::event(QEvent*) () at /usr/lib/libQt5Widgets.so.5
#22 0x00007fb9ff23cfec in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#23 0x00007fb9ff2449c6 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#24 0x00007fb9fd485ce0 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5
#25 0x00007fb9ff57dd8e in QGraphicsView::dropEvent(QDropEvent*) () at /usr/lib/libQt5Widgets.so.5
#26 0x0000563c9aa7ff7c in  ()
#27 0x00007fb9ff27d188 in QWidget::event(QEvent*) () at /usr/lib/libQt5Widgets.so.5
#28 0x00007fb9ff320f0f in QFrame::event(QEvent*) () at /usr/lib/libQt5Widgets.so.5
#29 0x00007fb9ff57d63c in QGraphicsView::viewportEvent(QEvent*) () at /usr/lib/libQt5Widgets.so.5
#30 0x00007fb9fd4859ac in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5
#31 0x00007fb9ff23cfc8 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#32 0x00007fb9ff244b45 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#33 0x00007fb9fd485ce0 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5
#34 0x00007fb9ff29a310 in  () at /usr/lib/libQt5Widgets.so.5
#35 0x00007fb9ff29b0a1 in  () at /usr/lib/libQt5Widgets.so.5
#36 0x00007fb9ff23cfec in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#37 0x00007fb9ff2449c6 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#38 0x00007fb9fd485ce0 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5
#39 0x00007fb9fd9fa8ea in QGuiApplicationPrivate::processDrop(QWindow*, QMimeData const*, QPoint const&, QFlags<Qt::DropAction>) () at /usr/lib/libQt5Gui.so.5
#40 0x00007fb9fd9d1b91 in QWindowSystemInterface::handleDrop(QWindow*, QMimeData const*, QPoint const&, QFlags<Qt::DropAction>) () at /usr/lib/libQt5Gui.so.5
#41 0x00007fb9e91488e5 in  () at /usr/lib/libQt5XcbQpa.so.5
#42 0x00007fb9e914b22a in  () at /usr/lib/libQt5XcbQpa.so.5
#43 0x00007fb9fd9ec404 in QBasicDrag::eventFilter(QObject*, QEvent*) () at /usr/lib/libQt5Gui.so.5
#44 0x00007fb9fd48585c in QCoreApplicationPrivate::sendThroughApplicationEventFilters(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5
#45 0x00007fb9ff23d02a in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#46 0x00007fb9ff2449c6 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#47 0x00007fb9fd485ce0 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5
#48 0x00007fb9fd9f9434 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) () at /usr/lib/libQt5Gui.so.5
#49 0x00007fb9fd9faf86 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () at /usr/lib/libQt5Gui.so.5
#50 0x00007fb9fd9d229c in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Gui.so.5
#51 0x00007fb9e91c248d in  () at /usr/lib/libQt5XcbQpa.so.5
#52 0x00007fb9fd48431b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#53 0x00007fb9fd9ecb7c in QBasicDrag::drag(QDrag*) () at /usr/lib/libQt5Gui.so.5
#54 0x00007fb9fda0cda1 in QDragManager::drag(QDrag*) () at /usr/lib/libQt5Gui.so.5
#55 0x00007fb9fda09519 in QDrag::exec(QFlags<Qt::DropAction>, Qt::DropAction) () at /usr/lib/libQt5Gui.so.5
#56 0x00007fb9ff4a062f in QAbstractItemView::startDrag(QFlags<Qt::DropAction>) () at /usr/lib/libQt5Widgets.so.5
#57 0x00007fb9ff49f28b in QAbstractItemView::mouseMoveEvent(QMouseEvent*) () at /usr/lib/libQt5Widgets.so.5
#58 0x00007fb9ff50a904 in QTreeView::mouseMoveEvent(QMouseEvent*) () at /usr/lib/libQt5Widgets.so.5
#59 0x00007fb9ff27d188 in QWidget::event(QEvent*) () at /usr/lib/libQt5Widgets.so.5
#60 0x00007fb9ff320f0f in QFrame::event(QEvent*) () at /usr/lib/libQt5Widgets.so.5
#61 0x00007fb9ff49fc04 in QAbstractItemView::viewportEvent(QEvent*) () at /usr/lib/libQt5Widgets.so.5
#62 0x00007fb9ff509f7d in QTreeView::viewportEvent(QEvent*) () at /usr/lib/libQt5Widgets.so.5
#63 0x00007fb9fd4859ac in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5
#64 0x00007fb9ff23cfc8 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#65 0x00007fb9ff244f41 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#66 0x00007fb9fd485ce0 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5
#67 0x00007fb9ff243eca in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () at /usr/lib/libQt5Widgets.so.5
#68 0x00007fb9ff298949 in  () at /usr/lib/libQt5Widgets.so.5
#69 0x00007fb9ff29b060 in  () at /usr/lib/libQt5Widgets.so.5
#70 0x00007fb9ff23cfec in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#71 0x00007fb9ff2449c6 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#72 0x00007fb9fd485ce0 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5
#73 0x00007fb9fd9f9434 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) () at /usr/lib/libQt5Gui.so.5
#74 0x00007fb9fd9faf86 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () at /usr/lib/libQt5Gui.so.5
#75 0x00007fb9fd9d229c in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Gui.so.5
#76 0x00007fb9e91c248d in  () at /usr/lib/libQt5XcbQpa.so.5
#77 0x00007fb9fd48431b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#78 0x00007fb9fd48d718 in QCoreApplication::exec() () at /usr/lib/libQt5Core.so.5
#79 0x0000563c9a97add9 in  ()
#80 0x00007fb9fc73206b in __libc_start_main () at /usr/lib/libc.so.6
#81 0x0000563c9a97b5fa in _start ()

Reported using DrKonqi
Comment 1 Jean-Baptiste Mardelle 2018-05-21 06:41:35 UTC
Thanks for your report. This was caused by a recent change in MLT 6.8.0. Should now be fixed in Kdenlive's 18.04 branch that will be release as Kdenlive 18.04.2
Comment 2 Wolfgang Bauer 2018-05-23 18:33:07 UTC
I can confirm that https://cgit.kde.org/kdenlive.git/commit/?h=Applications/18.04&id=9b09dbb2b0de78d4eaf4011c8a462fdb3c6916b6 fixes the crashes here in openSUSE with libmlt 6.6.0+git20180502 (should be close to 6.8.0 final).
Comment 3 Christoph Feck 2018-06-15 12:01:09 UTC
Indeed, let's close this.
Comment 4 Christoph Feck 2018-06-15 12:05:46 UTC
*** Bug 394733 has been marked as a duplicate of this bug. ***
Comment 5 Christoph Feck 2018-06-15 12:08:41 UTC
*** Bug 394615 has been marked as a duplicate of this bug. ***
Comment 6 Christoph Feck 2018-06-15 12:09:30 UTC
*** Bug 394878 has been marked as a duplicate of this bug. ***
Comment 7 Christoph Feck 2018-06-15 12:10:13 UTC
*** Bug 394546 has been marked as a duplicate of this bug. ***
Comment 8 Christoph Feck 2018-06-21 11:07:02 UTC
*** Bug 395170 has been marked as a duplicate of this bug. ***